Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.io
Class EncodingAwareBufferedWriter

    java.lang.Object
      java.io.Writer
          java.io.BufferedWriter
              groovy.io.EncodingAwareBufferedWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public class EncodingAwareBufferedWriter
    extends BufferedWriter

A buffered writer only for OutputStreamWriter that is aware of the encoding of the OutputStreamWriter.

Author:
  Paul King

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
Constructor and Description
`EncodingAwareBufferedWriter(OutputStreamWriter out)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `getEncoding()` The encoding as returned by the underlying OutputStreamWriter.
`String` | `getNormalizedEncoding()` The encoding as returned by the underlying OutputStreamWriter.

Methods inherited from class java.io.BufferedWriter
`close, flush, newLine, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingAwareBufferedWriter

    public EncodingAwareBufferedWriter(OutputStreamWriter out)

Method Detail

### getEncoding

    public String getEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Can be the historical name.

  Returns:
    the encoding
  See Also:
    `OutputStreamWriter.getEncoding()`

### getNormalizedEncoding

    public String getNormalizedEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Will be the preferred name.

  Returns:
    the encoding
  See Also:
    `OutputStreamWriter.getEncoding()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD